# Place upgrade orders with InLine Cart

## Overview

Upgrades a current subscription using the inline checkout.

{% hint style="info" %}
The Checkout form will be prefilled with subscription's billing data.
{% endhint %}

## Use case <a href="#use-case" id="use-case"></a>

1. Add an HTML link or button in your page like the one below.
2. Create a JavaScript click handler to execute the Inline Client desired methods.
3. Use the `TwoCoInlineCart.products.add({code, quantity, options})` method to prepare your catalog product.
4. Set the license code as the subscription reference on the cart `TwoCoInlineCart.cart.setSubscription('IMKNNVEY13')`.<br>

   <div data-gb-custom-block data-tag="hint" data-style="info" class="hint hint-info"><p>Make sure your parent subscription has upgrades available in Control Panel, for your current product.</p></div>
5. Set the upgrade flag on the cart `TwoCoInlineCart.cart.setUpgrade(true)`.
6. Use the `TwoCoInlineCart.cart.checkout()` method to show the cart on your page.

## Sample request <a href="#sample-request" id="sample-request"></a>

### HTML <a href="#html" id="html"></a>

```html
<a href="#" class="btn btn-success" id="buy-button">Buy now!</a>
```

### Javascript <a href="#javascript" id="javascript"></a>

```javascript
window.document.getElementById('buy-button').addEventListener('click', function() {
  TwoCoInlineCart.products.add({
    code: "74B8E17CC0"
  });
  TwoCoInlineCart.cart.setSubscription('IMKNNVEY13');
  TwoCoInlineCart.billing.setEmail('john.doe@company.com');
  TwoCoInlineCart.cart.setUpgrade(true);
  TwoCoInlineCart.cart.checkout();
});
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/shopping-carts/inline/use-cases/place-upgrade-orders-with-inline-cart.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
